Subject: Fwd: OpenSource vs. IETF Standards

From: Massimiliano Pala <[email-masked]>
Date: Wed, 30 Jul 2014 11:11:29 -0400

Hi all,

does nobody have this info ?

Cheers,
Max

-------- Original Message --------
Subject: 	OpenSource vs. IETF Standards
Date: 	Mon, 28 Jul 2014 15:03:50 -0400
From: 	Massimiliano Pala <[email-masked]>
Organization: 	OpenCA Labs
To: 	[email-masked]

Dear IETF-ers,

At the last ietf (90), it was mentioned that extensive discussions about 
the relationship between IETF standards and OpenSource have taken 
place.. and I was wondering if anybody could point me to the archives of 
that thread.

I am asking because I definitely do not agree with what has been said at 
the meeting - but I would like to understand the reasons for those 
statements by reading about what was discussed.

---

From: Ted Lemon <[email-masked]>
Date: Thu, 31 Jul 2014 09:32:55 -0700

> does nobody have this info ?

"Discussions" means talking, actually--I don't think there's been much mailing list activity on the topic.   Given that you heard a presentation in the plenary, could you explain what you objected to about what was said?   The plenary video is online here:

http://recordings.conf.meetecho.com/Playout/watch.jsp?recording=IETF90_ADMIN_PLENARY&chapter=chapter_0

---

From: Randy Bush <[email-masked]>
Date: Thu, 31 Jul 2014 18:52:01 +0200

> the meeting

since you totally disagree with it, you seem to know more about it than
anyone else

randy

---

From: manning bill <[email-masked]>
Date: Thu, 31 Jul 2014 10:39:13 -0700

it has always been my understanding that (with a few exceptions that have become more and more common over the years) IETF standards allowed for open source development.

/bill
PO Box 12317
Marina del Rey, CA 90295
310.322.8102

On 30July2014Wednesday, at 8:11, Massimiliano Pala <[email-masked]> wrote:

> At the last ietf (90), it was mentioned that extensive discussions about the relationship between IETF standards and OpenSource have taken place.. and I was wondering if anybody could point me to the archives of that thread.
> 
> I am asking because I definitely do not agree with what has been said at the meeting - but I would like to understand the reasons for those statements by reading about what was discussed.
> 
> 
> 
>

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 01 Aug 2014 08:13:17 +1200

> it has always been my understanding that (with a few exceptions that have become more and more common over the years) IETF standards allowed for open source development.

What exceptions, Bill? IETF standards are open voluntary standards
that anyone can implement how they like.

It's a fact that open source implementations that infringe patents
are intrinsically problematic, so if there is an IPR disclosure that
doesn't offer open-source-friendly conditions, that can be a problem.

It's a fact that code fragments in RFCs are normally subject to the
Simplified BSD License (for the full story see the IETF Trust Legal
Provisions).

   Brian

---

From: manning bill <[email-masked]>
Date: Thu, 31 Jul 2014 13:50:13 -0700

we will now enter the realm of word definitions.  An IETF Standard is any document published by the IETF.  Standards come in a range of attire, full standards (rare), proposed, informational, historic and a few others.   

As you properly have tabled, some of these IETF standards are subject to IPR claims, which the IETF mgmt and its sponsoring organization have prudently recognized.  Publication of such material, 
encumbered by Intellectual Property Rights, clearly suggests that the IETF standard in question can not, in fact, be represented in open source without violation of IP laws.

Codec and Crypto specs tend to be owned.

then there is this from ISOC in 2003:   www.isoc.org/briefings/014/briefing14.pdf
which suggests that, “Mobile IPv4 NAT-traversal protocol extension is specified in 
a separate RFC that is IPR-encumbered. “

I’ll leave the creation of the detailed list as a homework assignment.
                                                                                                                                                                                                                                                                                                                                  
/bill
Neca eos omnes.  Deus suos agnoscet.

---

From: Kathleen Moriarty <[email-masked]>
Date: Thu, 31 Jul 2014 17:05:11 -0400

Hi Max,

There have been a several conversations on this topic and I am sure there
will be many more as there are logical connections between open standards
and open source.  There are also very clear points where the two are not a
fit, for instance, when there is no need for multiple interoperable
implementations.

One of the discussion threads has been around CodeMatch (described in the
following google doc):
https://docs.google.com/document/d/12kbFDwzhecC1DLtVEo3ruLuFZMCtiSwd5US0I44v96Q/edit#heading=h.pz5w8aj4nbgs

I posted it to this list and a couple of other lists and integrated
feedback received.  I do have a couple of comments that need to be worked
into the document that were received last week, but it is otherwise
up-to-date.  A mailing list was set up for those interested in helping to
develop the idea and we met while in Toronto to determine next steps.  The
mailing list for those willing to help develop is [email-masked].
 When we are ready to test out it's use, there will likely be another list
for users of CodeMatch (meant for standards and open source participants).

On Wed, Jul 30, 2014 at 11:11 AM, Massimiliano Pala <[email-masked]>
wrote:

> -------- Original Message --------  Subject: OpenSource vs. IETF Standards  Date:
> Mon, 28 Jul 2014 15:03:50 -0400  From: Massimiliano Pala
> <[email-masked]> <[email-masked]>  Organization: OpenCA Labs  To:
> [email-masked]
>
> Dear IETF-ers,
>
> the relationship between IETF standards and OpenSource have taken place..
> and I was wondering if anybody could point me to the archives of that
> thread.
>

-- 

Best regards,
Kathleen

---

From: Pete Resnick <[email-masked]>
Date: Thu, 31 Jul 2014 16:32:07 -0500

> since you totally disagree with it, you seem to know more about it than

And since this message does not in any way constructively add to the 
discussion, perhaps you could refrain from sending such messages in the 
future. And I'd ask others to please ignore it. It was completely 
inappropriate and uncalled-for.

pr

-- 
Pete Resnick<http://www.qualcomm.com/~presnick/>
Qualcomm Technologies, Inc. - +1 (858)651-4478

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 01 Aug 2014 16:02:08 +1200

> we will now enter the realm of word definitions.  An IETF Standard is any document published by the IETF.  Standards come in a range of attire, full standards (rare), proposed, informational, histo…

Well, no; cf RFC2026 and RFC6410. But it doesn't really matter, since IPR
disclosures are required for all contributions anyway.

> Codec and Crypto specs tend to be owned.

If they are published as RFCs the boilerplate will indicate
rights; but watch out for the change of rules introduced by RFC5378.

> I’ll leave the creation of the detailed list as a homework assignment.

Yes, implementors need to check the fine print (i.e. the version of
the rules in force when an RFC was published, and any IPR disclosures
against the document). And they need to understand the difference
between IETF and non-IETF RFCs.

And of course none of the above applies if the encumbered technology
is published other than as an RFC but referenced by an RFC.

   Brian